# Variables

## Overview

This node contains all the variables created in the scope.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                         | Summary                                                                                               |
| ----------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| [Open in Script Editor](#open-in-script-editor) | Opens the variable in [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md) |
| [Create variable](#create-variable)             | Creates a new variable in same global scope                                                           |

## Commands Details

The details for each command available on this item via right-click context menu:

### Open in Script Editor

Opens the variable in [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md).

### Create variable

Opens the [create new variable editor](/reference/servoy-developer/object-editors/variable-editor.md), then it switches to [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md) of the same global scope, with the particular variable highlighted.

## Contextual List

Here are the item details that appear in the [contextual list](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#overview) and each command available via right-click:

* variable (all variables names existing in the scope):
  * [Move Code](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#move-code)
  * [Move Sample](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#move-sample)
  * [Open in Script Editor](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#open-in-script-editor)
  * [Edit variable](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#edit-variable)
  * [Search for References](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#search-for-references)
  * [Create variable](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#create-variable)
  * [Delete variable](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#delete-variable)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/scopes/scope/variables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
